%global pypi_name django-keyedcache
# From version 1.5.3 the package changed to point to an
# upstream fork with python3 support
%global obs_ver 1.5.3-1

Name:           python-%{pypi_name}
Version:        1.5.3
Release:        6%{?dist}
Summary:        Utilities for simplified development of cache aware objects
Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/%{pypi_name}3
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}3/%{pypi_name}3-%{version}.tar.gz
# to get test project:
#  git clone https://github.com/kunaldeo/django-keyedcache3.git && cd django-keyedcache3
#  tar -czf python-django-keyedcache3-1.5.3-test-project.tar.gz test-project/
Source1:        %{name}3-%{version}-test-project.tar.gz

BuildArch:      noarch

%description
Django Keyedcache provides utilities and class mixins for simplified development
of cache-aware objects. Used in Satchmo.

BuildRequires:  gettext

%package -n python2-%{pypi_name}3
Summary:	Utilities for simplified development of cache aware objects

BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-django

Requires:       python2-django

Provides:		python-django-keyedcache = %{version}-%{release}
Obsoletes:      python-django-keyedcache < %{obs_ver}

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}3
Django Keyedcache provides utilities and class mixins for simplified development
of cache-aware objects. Used in Satchmo.

%package -n python3-%{pypi_name}3
Summary:	Utilities for simplified development of cache aware objects

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-django

Requires:       python3-django

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}3
Django Keyedcache provides utilities and class mixins for simplified development
of cache-aware objects. Used in Satchmo.

%prep
%setup -q -n %{pypi_name}3-%{version}
tar -xzf %{SOURCE1}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

# Handling locale files
# This is adapted from the %%find_lang macro, which cannot be directly
# used since Django locale files are not located in %%{_datadir}
#
# The rest of the packaging guideline still apply -- do not list
# locale files by hand!
(cd %{buildroot} && find .%{python2_sitelib} -name 'django*.mo') | %{__sed} -e 's|^.||' |
%{__sed} -e \
   's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
   >> python2-%{pypi_name}3.lang
(cd %{buildroot} && find .%{python3_sitelib} -name 'django*.mo') | %{__sed} -e 's|^.||' |
%{__sed} -e \
   's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
   >> python3-%{pypi_name}3.lang

# remove unneeded .po files
pushd $RPM_BUILD_ROOT
find -type f -name '*.po' -exec rm {} \;
popd

%check
pushd test-project
PYTHONPATH=.. %{__python2} manage.py test keyedcache
PYTHONPATH=.. %{__python3} manage.py test keyedcache
popd

%files -f python2-%{pypi_name}3.lang -n python2-%{pypi_name}3
%doc PKG-INFO
%{python2_sitelib}/keyedcache/*
%exclude %{python2_sitelib}/keyedcache/test_app
%{python2_sitelib}/django_keyedcache*.egg-info

%files -f python3-%{pypi_name}3.lang -n python3-%{pypi_name}3
%doc PKG-INFO
%{python3_sitelib}/keyedcache/
%exclude %{python3_sitelib}/keyedcache/test_app
%{python3_sitelib}/django_keyedcache*.egg-info

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5.3-4
- Rebuild for Python 3.6

* Wed Nov 23 2016 Charalampos Stratakis <cstratak@redhat.com> - 1.5.3-3
- Properly handle locale files

* Mon Nov 21 2016 Charalampos Stratakis <cstratak@redhat.com> - 1.5.3-2
- Fix python_provide macro

* Mon Nov 21 2016 Charalampos Stratakis <cstratak@redhat.com> - 1.5.3-1
- Changed upstream sources to point to django-keyedcache3, a python3 compatible fork
- Provide a Python 3 subpacakge
- Update to 1.5.3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 09 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.5.1-1
- Updated to version 1.5.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Miro Hrončok <mhroncok@redhat.com> - 1.4.6-5
- Added patches so this works with Django 1.5 well

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4.6-3
- Add proper Provides and Obsoletes tags.

* Tue Aug 14 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4.6-2
- Fixed the package's locale directory ownership issue.

* Mon Aug 13 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4.6-1
- Renamed to python-django-keyedcache.
- Updated to latest upstream release.
- Fixed URL to point to upstream, not to PyPI.
- Introduced %%check section.
- Improved lang files handling.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 09 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.4.1-2
- Fix a build issue

* Thu Apr 14 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.4.1-1
- initial spec
